Bug 441323 - fence_scsi gets errors in device list with multipath arrays
Summary: fence_scsi gets errors in device list with multipath arrays
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman   
(Show other bugs)
Version: 5.3
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Ryan O'Hara
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-07 15:18 UTC by Ryan O'Hara
Modified: 2009-04-16 22:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 21:51:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0189 normal SHIPPED_LIVE cman bug-fix and enhancement update 2009-01-20 16:05:55 UTC

Description Ryan O'Hara 2008-04-07 15:18:17 UTC
When using a active/passive array, fence_scsi will get errors in the list of
devices. This will cause fencing to fail.

The problem appears to be that the command we use to get a list of devices (vgs)
will scan all devices, including the passive path. This generates errors to
stderr, and these errors get including in the list of devices.

Solution is to redirect stderr to /dev/null as part of this command. We already
do this in the scsi_reserve init script.

Comment 1 Ryan O'Hara 2008-04-07 16:18:21 UTC
Fixed in RHEL5 branch.

Comment 3 RHEL Product and Program Management 2008-07-31 22:40:34 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 errata-xmlrpc 2009-01-20 21:51:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0189.html


Note You need to log in before you can comment on or make changes to this bug.